Your message dated Thu, 14 Apr 2016 11:49:35 +0000
with message-id <e1aqfmb-0007tw...@franck.debian.org>
and subject line Bug#820773: fixed in libjlha-java 0.0.20050504-9
has caused the Debian Bug report #820773,
regarding libjlha-java: FTBFS, can't find a javac compiler
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
820773: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820773
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: libjlha-java
Version: 0.0.20050504-8
Severity: serious
Tags: patch
Justification: fails to build from source (but built successfully in the past)
User: ubuntu-de...@lists.ubuntu.com
Usertags: origin-ubuntu xenial ubuntu-patch

Dear Maintainer,

libjlha-java currently fails to build from source on at least amd64 because
it can't find a javac compiler:
https://tests.reproducible-builds.org/rb-pkg/unstable/amd64/libjlha-java.html

This is due to an obsolete build dependency on default-jdk-builddep.

In Ubuntu, the attached patch was applied to achieve the following:

  * debian/control: Build-depend on default-jdk instead of obsolete
    default-jdk-builddep to fix FTBFS.

Thanks for considering the patch.

Logan Rosen

-- System Information:
Debian Release: stretch/sid
  APT prefers xenial-updates
  APT policy: (500, 'xenial-updates'), (500, 'xenial-security'), (500, 
'xenial'), (100, 'xenial-backports')
Architecture: amd64 (x86_64)

Kernel: Linux 4.4.0-18-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
diff -Nru libjlha-java-0.0.20050504/debian/control libjlha-java-0.0.20050504/debian/control
--- libjlha-java-0.0.20050504/debian/control	2010-04-11 14:49:30.000000000 +0000
+++ libjlha-java-0.0.20050504/debian/control	2016-04-09 07:13:50.000000000 +0000
@@ -4,7 +4,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Koch <konque...@gmx.de>
 Build-Depends: cdbs (>= 0.4.36), debhelper (>= 5)
-Build-Depends-Indep: ant, default-jdk-builddep, default-jdk-doc
+Build-Depends-Indep: ant, default-jdk, default-jdk-doc
 Standards-Version: 3.8.4
 Homepage: http://homepage1.nifty.com/dangan/Content/Program/Java/jLHA/LhaLibrary.html
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libjlha-java

--- End Message ---
--- Begin Message ---
Source: libjlha-java
Source-Version: 0.0.20050504-9

We believe that the bug you reported is fixed in the latest version of
libjlha-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 820...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Emmanuel Bourg <ebo...@apache.org> (supplier of updated libjlha-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 14 Apr 2016 13:44:57 +0200
Source: libjlha-java
Binary: libjlha-java libjlha-java-doc-ja
Architecture: source all
Version: 0.0.20050504-9
Distribution: unstable
Urgency: medium
Maintainer: Debian Java Maintainers 
<pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Emmanuel Bourg <ebo...@apache.org>
Description:
 libjlha-java - LHA compress/decompress library for Java
 libjlha-java-doc-ja - Japanese documentation for libjlha-java, the LHA library 
for Java
Closes: 654083 820773
Changes:
 libjlha-java (0.0.20050504-9) unstable; urgency=medium
 .
   * Team upload.
   * Moved the package to Git
   * debian/control:
     - Build depend on default-jdk instead of default-jdk-builddep
       (Closes: #820773)
     - Removed the dependency on the Java runtime
     - Removed the duplicate Section field
     - Standards-Version updated to 3.9.8 (no changes)
     - Removed Michael Koch from the uploaders (Closes: #654083)
   * Switch to debhelper level 9
Checksums-Sha1:
 b7672692af55f9739663fdc3406cd0fdb7f2290a 2133 libjlha-java_0.0.20050504-9.dsc
 d254a0795420d3fbcbed2f6945cb9be87e17c204 7212 
libjlha-java_0.0.20050504-9.debian.tar.xz
 3015f77a01b1d8e381008da344fe00d802adcad4 92284 
libjlha-java-doc-ja_0.0.20050504-9_all.deb
 f2961fa950e6aef5009cd18684b79fceef9016ca 99002 
libjlha-java_0.0.20050504-9_all.deb
Checksums-Sha256:
 29498bb037ace41d464487bf1ea437d31bf58aad6047b1b1ebab169c7319f959 2133 
libjlha-java_0.0.20050504-9.dsc
 615bb36bc0c4d18e90d025fe4b1532ae650d4ce443db4a66e22abcce056db5a5 7212 
libjlha-java_0.0.20050504-9.debian.tar.xz
 b0f3aeb25c25d0833439b02fc08164c5356c970f35c64be9236d60b6c4ef0fcd 92284 
libjlha-java-doc-ja_0.0.20050504-9_all.deb
 68ac4014ff671624ff77f604b71714ebbe9788b38e53db3fbda4c3ddb10c4b7e 99002 
libjlha-java_0.0.20050504-9_all.deb
Files:
 1e5d09e62ba422d8f7794bad7a8d1217 2133 java optional 
libjlha-java_0.0.20050504-9.dsc
 d755ce55b66b9134ea06a494262e55a2 7212 java optional 
libjlha-java_0.0.20050504-9.debian.tar.xz
 372d058f617efae20c60e153b3ff26d7 92284 doc optional 
libjlha-java-doc-ja_0.0.20050504-9_all.deb
 af64b0fdbb6dd1087120c58891c7a820 99002 java optional 
libjlha-java_0.0.20050504-9_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJXD4L4AAoJEPUTxBnkudCsfLcP/jo9ZxEAHBjgkEuWRbt3urEl
sdK0du0NgmopNPx7ytJ5qC4lX/MWQLdCCpzvOeO43pOIvpJU9BXAgLL2+Erp2UrD
CD6QaoByU8NPEeaqOLRNSM4Qhvv9VAaa4gVxlzVEd+JqarB0LpuMWUMutJBGcuFO
dK9LUlSHRn7YeBzoHTy942vqYuj//l4YO3TB56enpjj2ycEizNEfH4Np0f0qU3Wt
sBcn+gC97z50M+V+zKFndm/16yTP1bJuNyIH8/s5o0ndTpVp0/6BXt4spvsgTLuD
DopLzkaueBQ3KdyFhYQqr+Vhy03YaVkuPY/PUvgh7WJxulQwXUQiXu888WL8N+SP
t8yU1AN/91oYRDL82zNhWHje/v1rSFJI2S7t3/h8B9jM3WrpUhOepfU5KrvK9peC
IomSUwBhNnkSeF2CNUPMHi+/R89d2qbzFJ4vqxEBcak9OF1hPQFql4X1btvfhj5p
p/cQwjqCoguwaxdxG8abl5ac3fiMYkSC+X2d5/XZGL/j+YfO8KoJfvbKS6zKPoAm
QmLbnkGIRPsxHhPhbSca2LU+b8UhjoefM+SH/BlXgEcTu3T6ROohnt3aJS2Vzf+L
Zz8qbTtSuNzo8sfQ9ewuI7uA75NJNl/zinM75qfGBwzk4YEiwJn14xkkzvoEbd0v
DW3TYVfH+LIc9d9TPYf5
=OVnM
-----END PGP SIGNATURE-----

--- End Message ---
__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to